Subject: bug#73488: closed (Re: [bug#73488] [PATCH games v3 0/7] Add Jolly Good and some of its emulators)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Oct 2024 14:00:02 +0000

Your bug report

#73488: [PATCH 0/7] Add Jolly Good and some of its emulators

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73488: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73488
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73488] [PATCH games v3 0/7] Add Jolly Good and some of its emulators
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Cc: 宋文武 <[email-masked]>, Liliana Marie Prikler <[email-masked]>, Adam Faiz <[email-masked]>
Date: Sat, 05 Oct 2024 22:58:28 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxim Cournoyer <[email-masked]> writes:

> This series adds the Jolly Good emulator API and reference user
> interface (jgrf), and some core files (emulator plugins made to be used by
> it). Currently I've packaged and tested their bsnes, nestopia and cega ports.

With most of Liliana's comments addressed in what would be have been v4,
I went ahead and pushed this to master with commit 1ca236a02a and
following; thanks to Liliana for the review.

If I missed anything, let me know! Otherwise, enjoy.

-- 
Thanks,
Maxim

Subject: [PATCH 0/7] Add Jolly Good and some of its emulators
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Cc: Maxim Cournoyer <[email-masked]>
Date: Thu, 26 Sep 2024 11:35:58 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

This series adds the Jolly Good emulator API and reference user
interface (jgrf), and some core files (emulator plugins made to be used by
it). Currently I've packaged and tested their bsnes, nestopia and cega ports.

Maxim Cournoyer (7):
  gnu: bsnes: Remove input labels and use gexps.
  gnu: Add jg-api.
  gnu: Add jgrf.
  gnu: jgrf: Add search path mechanism.
  gnu: Add jg-bsnes.
  gnu: Add jg-nestopia.
  gnu: Add jg-cega.

 gnu/local.mk                                  |   1 +
 gnu/packages/emulators.scm                    | 277 ++++++++++++++--
 .../patches/jgrf-implement-search-paths.patch | 302 ++++++++++++++++++
 3 files changed, 558 insertions(+), 22 deletions(-)
 create mode 100644 gnu/packages/patches/jgrf-implement-search-paths.patch

base-commit: 8576aaf5f90db9b385ea8cf6dc98bf3c062959dc
-- 
2.46.0